CRMchat APIBeta
Telegram APIMessages

messages.sendVote

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.sendVote

Vote in a RawPoll Starting from layer 159, the vote will be sent from the peer specified using messages.RawSaveDefaultSendAsRequest. Before voting, clients should check that the user is actually allowed to vote: voting is not possible if the poll is closed, if it is subscriber-only » and the user is not an eligible subscriber, or if it is country-restricted » and the user's phone_country_iso2 » is not in the poll's allowed country list. See vote restrictions » for the full list of conditions.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Vote in a RawPoll Starting from layer 159, the vote will be sent from the peer specified using messages.RawSaveDefaultSendAsRequest. Before voting, clients should check that the user is actually allowed to vote: voting is not possible if the poll is closed, if it is subscriber-only » and the user is not an eligible subscriber, or if it is country-restricted » and the user's phone_country_iso2 » is not in the poll's allowed country list. See vote restrictions » for the full list of conditions.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.sendVote" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "msgId": 0,      "options": [        "string"      ]    }  }'
{  "result": {    "_": "updatesTooLong"  }}